Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class CramerShoupCiphertext

    java.lang.Object
      org.bouncycastle.crypto.engines.CramerShoupCiphertext

public class CramerShoupCiphertext
extends java.lang.Object

Class, holding Cramer Shoup ciphertexts (u1, u2, e, v)

Constructor Summary
`CramerShoupCiphertext()`
`CramerShoupCiphertext(java.math.BigInteger u1, java.math.BigInteger u2, java.math.BigInteger e, java.math.BigInteger v)`
`CramerShoupCiphertext(byte[] c)`

Method Summary
`java.math.BigInteger` | `getE()`
`java.math.BigInteger` | `getU1()`
`java.math.BigInteger` | `getU2()`
`java.math.BigInteger` | `getV()`
`void` | `setE(java.math.BigInteger e)`
`void` | `setU1(java.math.BigInteger u1)`
`void` | `setU2(java.math.BigInteger u2)`
`void` | `setV(java.math.BigInteger v)`
`byte[]` | `toByteArray()` convert the cipher-text in a byte array, prepending them with 4 Bytes for their length
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CramerShoupCiphertext

    public CramerShoupCiphertext()

### CramerShoupCiphertext

    public CramerShoupCiphertext(java.math.BigInteger u1,
                                 java.math.BigInteger u2,
                                 java.math.BigInteger e,
                                 java.math.BigInteger v)

### CramerShoupCiphertext

    public CramerShoupCiphertext(byte[] c)

Method Detail

### getU1

    public java.math.BigInteger getU1()

### setU1

    public void setU1(java.math.BigInteger u1)

### getU2

    public java.math.BigInteger getU2()

### setU2

    public void setU2(java.math.BigInteger u2)

### getE

    public java.math.BigInteger getE()

### setE

    public void setE(java.math.BigInteger e)

### getV

    public java.math.BigInteger getV()

### setV

    public void setV(java.math.BigInteger v)

### toString

    public java.lang.String toString()

### toByteArray

    public byte[] toByteArray()

  convert the cipher-text in a byte array, prepending them with 4 Bytes for their length

  Returns:
    a byte array of the cipher text.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD